{% extends "header.html" %}
{% load url from future %}
{% load i18n %}

{% block contenido %}
<form method="post">{% csrf_token %}
    <div class="row clearfix">
    	<div class="row clearfix">
            <div class="col-md-2 column">
                <div class="row clearfix">
                	<div class="btn-toolbar" role="toolbar">
                    	<div class="btn-group">
                        <span class="glyphicon glyphicon-plus" data-toggle="modal" data-target="#ModalAddProducts"></span>
                        <span class="fui-search" data-toggle="modal" data-target="#ModalSearchProducts"></span>
                        <span class="glyphicon glyphicon-refresh" onClick="
                          history.go(0);
                        "></span>
                      </div>
                    </div>
                </div>
            </div>
	    <div>
		<font color="#FF0000"> {{msg}} </font>
	    </div>
        </div>
        <div class="row clearfix">
            <div class="col-md-12 column">
                <div class="row clearfix">
                    <table class="table table-striped">
                        <thead>
                          <tr>
                            <th>{% blocktrans %}Barcode{% endblocktrans %}</th>
                            <th>{% blocktrans %}Name of product{% endblocktrans %}</th>
                            <th>{% blocktrans %}Stock{% endblocktrans %}</th>
                            {% for tipo_precio in tipo_precios %}
                            <th>{{tipo_precio.nombre}}</th>
                            {% endfor %}
                            <th>{% blocktrans %}Options{% endblocktrans %}</th>
                          </tr>
                        </thead>
                        <tbody>
                          {% for producto, precios in lista_productos_precios %}
                            <tr>
                              <td>{{producto.codigo_de_barras}}</td>
                              <td>{{producto.nombre}}</td>
                              <td>{{producto.stock}}</td>
                              {% for precio in precios%}
                              <td>{{precio.precio}} &euro;</td>
                              {% endfor %}
                              <td>
                              	<span class="glyphicon glyphicon-pencil" data-toggle="modal" data-target="#ModalEditProducts" onClick="
                                  var_to_var('{{producto.codigo_de_barras}}', 'products_edit_barcode');
                                  var_to_var('{{producto.nombre}}', 'products_edit_name');
                                  var_to_var('{{producto.codigo_de_barras}}','products_edit_old_barcode');
                                  var_to_text('{{producto.stock}}', 'products_edit_stock_actual');
                                  {% for precio in precios %}
                                  var_to_var('{{precio.precio}}', 'products_edit_prize_{{precio.tipo_precio.nombre}}');
                                  {% endfor%}
                                "></span>
                             		<span class="glyphicon glyphicon-trash" data-toggle="modal" data-target="#ModalDeleteProducts" onClick="
                                  var_to_var('{{producto.codigo_de_barras}}', 'product_variable_borrar');
                                "></span>
                              </td>
                            </tr>
                          {% endfor %}
                        </tbody>
                      </table>
                </div>
                <div class="row clearfix">
                    <div class="col-md-12 column">
                        <div class="text-center">
                            <div class="pagination pagination-minimal">
                                <ul>
                                    {% if lista_productos.has_previous %}
                                    <li class="previous"><a href="?page={{ lista_productos.previous_page_number }}" class="fui-arrow-left"></a></li>
                                    {% else %}
                                    <li class="previous"><a href="?page=1" class="fui-arrow-left"></a></li>
                                    {% endif %}
                                    {% for i in paginas %}
                                      {% ifequal i lista_productos.number %}
                                    <li class="active"><a href="?page={{i}}">{{i}}</a></li>
                                      {% else %}
                                    <li><a href="?page={{i}}">{{i}}</a></li>
                                      {% endifequal %}
                                    {% endfor %}
                                    <!--<li class="active"><a href="#fakelink">5</a></li>-->
                                    {% if lista_productos.has_next %}
                                    <li class="next"><a href="?page={{ lista_productos.next_page_number }}" class="fui-arrow-right"></a></li>
                                    {% else %}
                                    <li class="next"><a href="?page=99999999999999999" class="fui-arrow-right"></a></li>
                                    {% endif %}
                                </ul>
                                <br /><br /><br />
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>

<!-- Modal -->
<form method="POST">{% csrf_token %}
<div class="modal fade" id="ModalAddProducts" tabindex="-1" role="dialog" aria-labelledby="myModalLogoutLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title" id="myModalLogoutLabel">{% blocktrans %}Add Product{% endblocktrans %}</h4>
      </div>
      <div class="modal-body">
      	<div class="row clearfix">
            <div class="col-md-6 column">
                <small>{% blocktrans %}Barcode{% endblocktrans %}:</small>
                <input type="text" value="" placeholder="{% blocktrans %}Type barcode (it will only){% endblocktrans %}"class="form-control" name="products_add_barcode" autocomplete="off" pattern="[0-9]{8}">
            </div>
            <div class="col-md-6 column">
                <small>{% blocktrans %}Stock{% endblocktrans %}:</small><br/>
                <span class="ui-spinner ui-widget ui-widget-content ui-corner-all">
                	<input name="products_add_stock" id="spinner-01" type="text" placeholder="" value="0" class="form-control spinner ui-spinner-input" aria-valuemin="-99" aria-valuemax="99" aria-valuenow="0" autocomplete="off" role="spinbutton" required>
                </span>
            </div>
        </div>
        <div class="row clearfix">
        	<div class="col-md-12 column">
                <small>{% blocktrans %}Name of product{% endblocktrans %}:</small>
                <input type="text" value="" placeholder="{% blocktrans %}Type product{% endblocktrans %}"class="form-control" name="products_add_name" autocomplete="off" required>
                {% for type_of_prize in type_of_prize_list %}
                  <small>{{type_of_prize.nombre}}:</small>
                  <input type="text" value="" placeholder="{{type_of_prize.descripcion}}" class="form-control" name="products_add_prize_{{type_of_prize.nombre}}" autocomplete="off" required pattern="[0-9]+\.[0-9]+">
                {% endfor %}
             </div>
         </div>
      </div>
      <div class="modal-footer">
        <form method="get">{% csrf_token %}
            <button type="button" class="btn btn-default" data-dismiss="modal">{% blocktrans %}Clean{% endblocktrans %}</button>
            <button type="submit" class="btn btn-primary" name="products_add">{% blocktrans %}Add product{% endblocktrans %}</button>
        </form>
      </div>
    </div>
  </div>
</div>
</form>

<!-- Modal -->
<form method="POST">{% csrf_token %}
<div class="modal fade" id="ModalEditProducts" tabindex="-1" role="dialog" aria-labelledby="myModalLogoutLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title" id="myModalLogoutLabel">{% blocktrans %}Edit product{% endblocktrans %}</h4>
      </div>
      <div class="modal-body">
        <div class="row clearfix">
            <div class="col-md-6 column">
                <small>{% blocktrans %}Barcode{% endblocktrans %}:</small>
                <input type="text" name="products_edit_old_barcode" id="products_edit_old_barcode" style="display:none;">
                <input type="text" value="" placeholder="Type barcode (it will only)"class="form-control" name="products_edit_barcode" id="products_edit_barcode" autocomplete="off" pattern="[0-9]{8}" required>
            </div>
            <div class="col-md-6 column">
                <small>{% blocktrans %}Stock{% endblocktrans %}:</small><br/>
                <div class="col-md-2 column">
                  <div id="products_edit_stock_actual"></div>
                </div>
                <div class="col-md-1 column">
                  +
                </div>
                <div class="col-md-6 column">
                  <span class="ui-spinner ui-widget ui-widget-content ui-corner-all">
                    <input name="products_edit_stock" type="text" id="spinner-01" placeholder="" value="0" class="form-control spinner ui-spinner-input" aria-valuemin="-99" aria-valuemax="99" aria-valuenow="0" autocomplete="off" role="spinbutton">
                  </span>
                </div>
            </div>
        </div>
        <div class="row clearfix">
          <div class="col-md-12 column">
                <small>{% blocktrans %}Name of product{% endblocktrans %}:</small>
                <input type="text" value="" placeholder="Type product" class="form-control" name="products_edit_name" id="products_edit_name" autocomplete="off" required>
                {% for type_of_prize in type_of_prize_list %}
                  <small>{{type_of_prize.nombre}}:</small>
                  <input type="text" value="" placeholder="{{type_of_prize.descripcion}}" class="form-control" name="products_edit_prize_{{type_of_prize.nombre}}" id="products_edit_prize_{{type_of_prize.nombre}}" autocomplete="off" required pattern="[0-9]+\.[0-9]+">
                {% endfor %}
             </div>
         </div>
      </div>
      <div class="modal-footer">
        <button type="submit" class="btn btn-primary" name="products_edit">{% blocktrans %}Edit product{% endblocktrans %}</button>
      </div>
    </div>
  </div>
</div>
</form>

<!-- Modal -->
<form method="post">{% csrf_token %}
<div class="modal fade" id="ModalDeleteProducts" tabindex="-1" role="dialog" aria-labelledby="myModalDeleteProducts" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title" id="myModalDeleteProducts">{% blocktrans %}Delete Product{% endblocktrans %}</h4>
      </div>
      <div class="modal-body">
        <div class="row clearfix">
          <div class="col-md-1 column"></div>
          <div class="col-md-11 column">
            <p>{% blocktrans %}Sure you want to delete the item?{% endblocktrans %}</p>
            <input id="product_variable_borrar" name="product_variable_borrar" type="text" value="" style="display:none;">
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">{% blocktrans %}Cancel{% endblocktrans %}</button>
        <button type="submit" class="btn btn-primary" name="product_delete">{% blocktrans %}Delete{% endblocktrans %}</button>
      </div>
    </div>
  </div>
</div>
</form>

{% endblock %}
